Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.io.simple
Class Renderer

    java.lang.Object
      |
      +--org.semanticweb.owl.io.simple.Renderer

All Implemented Interfaces:
  Options, Renderer

public class Renderer
extends Object
implements Renderer

A very simple renderer, primarily for test purposes. Created: Thu Dec 19 15:58:42 2002

Version:
  $Id: Renderer.java,v 1.1.1.1 2003/10/14 17:10:15 sean_bechhofer Exp $

Constructor Summary
`Renderer()`

Method Summary
`Map` | `getOptions()` Get options.
`void` | `renderOntology(OWLOntology ontology, Writer writer)` Prints a very simple rendering of the ontology to the writer, listing all the classes, properties and individuals defined in the ontology.
`void` | `setOptions(Map options)` Set options.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Renderer

    public Renderer()

Method Detail

### renderOntology

    public void renderOntology(OWLOntology ontology,
                               Writer writer)
                        throws RendererException

  Prints a very simple rendering of the ontology to the writer, listing all the classes, properties and individuals defined in the ontology.

  Specified by:
    `renderOntology` in interface `Renderer`
    `RendererException`

### setOptions

    public void setOptions(Map options)

  Set options.

  Specified by:
    `setOptions` in interface `Options`
  Parameters:
    `options` - a `Map` value. Should contain a map from `String`s to `String`s.

### getOptions

    public Map getOptions()

  Get options.

  Specified by:
    `getOptions` in interface `Options`
  Returns:
    a `Map` value. Contains a map from `String`s to `String`s.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb